Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 4645)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 4646)
@@ -1,39 +1,41 @@
 !> @file flow_statistics.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
 ! ------------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4581 2020-06-29 08:49:58Z suehring
 ! Formatting adjustment
-! 
+!
 ! 4551 2020-06-02 10:22:25Z suehring
 ! Bugfix in summation for statistical regions
-! 
+!
 ! 4521 2020-05-06 11:39:49Z schwenkel
 ! Rename variable
-! 
+!
 ! 4502 2020-04-17 16:14:16Z schwenkel
 ! Implementation of ice microphysics
-! 
+!
 ! 4472 2020-03-24 12:21:00Z Giersch
 ! Calculations of the Kolmogorov lengt scale eta implemented
@@ -43,6 +45,5 @@
 !
 ! 4463 2020-03-17 09:27:36Z Giersch
-! Calculate horizontally averaged profiles of all velocity components at the
-! same place
+! Calculate horizontally averaged profiles of all velocity components at the same place
 !
 ! 4444 2020-03-05 15:59:50Z raasch
@@ -50,10 +51,9 @@
 !
 ! 4442 2020-03-04 19:21:13Z suehring
-! Change order of dimension in surface array %frac to allow for better
-! vectorization.
+! Change order of dimension in surface array %frac to allow for better vectorization.
 !
 ! 4441 2020-03-04 19:20:35Z suehring
-! Introduction of wall_flags_total_0, which currently sets bits based on static
-! topography information used in wall_flags_static_0
+! Introduction of wall_flags_total_0, which currently sets bits based on static topography
+! information used in wall_flags_static_0
 !
 ! 4329 2019-12-10 15:46:36Z motisi
@@ -67,6 +67,5 @@
 !
 ! 4039 2019-06-18 10:32:41Z suehring
-! Correct conversion to kinematic scalar fluxes in case of pw-scheme and
-! statistic regions
+! Correct conversion to kinematic scalar fluxes in case of pw-scheme and statistic regions
 !
 ! 3828 2019-03-27 19:36:23Z raasch
@@ -82,54 +81,50 @@
 ! Description:
 ! ------------
-!> Compute average profiles and further average flow quantities for the different
-!> user-defined (sub-)regions. The region indexed 0 is the total model domain.
+!> Compute average profiles and further average flow quantities for the different user-defined
+!> (sub-)regions. The region indexed 0 is the total model domain.
 !>
-!> @note For simplicity, nzb_s_inner and nzb_diff_s_inner are being used as a
-!>       lower vertical index for k-loops for all variables, although strictly
-!>       speaking the k-loops would have to be split up according to the staggered
-!>       grid. However, this implies no error since staggered velocity components
-!>       are zero at the walls and inside buildings.
-!------------------------------------------------------------------------------!
+!> @note For simplicity, nzb_s_inner and nzb_diff_s_inner are used as a lower vertical index for
+!>       k-loops for all variables, although strictly speaking the k-loops would have to be split
+!>       up according to the staggered grid. However, this implies no error since staggered velocity
+!>       components are zero at the walls and inside buildings.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE flow_statistics
 
 
-    USE arrays_3d,                                                             &
-        ONLY:  ddzu, ddzw, e, heatflux_output_conversion, hyp, km, kh,         &
-               momentumflux_output_conversion, nc, ni, nr, p, prho, prr, pt, q,&
-               qc, qi, ql, qr, rho_air, rho_air_zw, rho_ocean, s,              &
-               sa, u, ug, v, vg, vpt, w, w_subs, waterflux_output_conversion,  &
-               zw, d_exner
-
-    USE basic_constants_and_equations_mod,                                     &
+    USE arrays_3d,                                                                                 &
+        ONLY:  ddzu, ddzw, d_exner, e, heatflux_output_conversion, hyp, km, kh,                    &
+               momentumflux_output_conversion, nc, ni, nr, p, prho, prr, pt, q, qc, qi, ql, qr,    &
+               rho_air, rho_air_zw, rho_ocean, s, sa, u, ug, v, vg, vpt, w, w_subs,                &
+               waterflux_output_conversion, zw
+
+    USE basic_constants_and_equations_mod,                                                         &
         ONLY:  g, lv_d_cp
 
-    USE bulk_cloud_model_mod,                                                  &
-        ONLY: bulk_cloud_model, microphysics_morrison, microphysics_seifert,   &
-              microphysics_ice_phase
-
-    USE chem_modules,                                                          &
+    USE bulk_cloud_model_mod,                                                                      &
+        ONLY: bulk_cloud_model, microphysics_morrison, microphysics_seifert, microphysics_ice_phase
+
+    USE chem_modules,                                                                              &
         ONLY:  max_pr_cs
 
-    USE control_parameters,                                                    &
-        ONLY:   air_chemistry, average_count_pr, cloud_droplets, do_sum,       &
-                dt_3d, humidity, initializing_actions, kolmogorov_length_scale,&
-                land_surface, large_scale_forcing, large_scale_subsidence,     &
-                max_pr_user, message_string, neutral, ocean_mode,              &
-                passive_scalar, simulated_time, simulated_time_at_begin,       &
-                use_subsidence_tendencies, use_surface_fluxes, use_top_fluxes, &
-                ws_scheme_mom, ws_scheme_sca, salsa, max_pr_salsa
-
-    USE cpulog,                                                                &
+    USE control_parameters,                                                                        &
+        ONLY:   air_chemistry, average_count_pr, cloud_droplets, do_sum, dt_3d, humidity,          &
+                initializing_actions, kolmogorov_length_scale, land_surface, large_scale_forcing,  &
+                large_scale_subsidence, max_pr_salsa, max_pr_user, message_string, neutral,        &
+                ocean_mode, passive_scalar, salsa, simulated_time, simulated_time_at_begin,        &
+                use_subsidence_tendencies, use_surface_fluxes, use_top_fluxes, ws_scheme_mom,      &
+                ws_scheme_sca
+
+    USE cpulog,                                                                                    &
         ONLY:   cpu_log, log_point
 
-    USE grid_variables,                                                        &
+    USE grid_variables,                                                                            &
         ONLY:   ddx, ddy
 
-    USE indices,                                                               &
-        ONLY:   ngp_2dh, ngp_2dh_s_inner, ngp_3d, ngp_3d_inner, nxl, nxr, nyn, &
-                nys, nzb, nzt, topo_min_level, wall_flags_total_0
+    USE indices,                                                                                   &
+        ONLY:   ngp_2dh, ngp_2dh_s_inner, ngp_3d, ngp_3d_inner, nxl, nxr, nyn, nys, nzb, nzt,      &
+                topo_min_level, wall_flags_total_0
 
 #if defined( __parallel )
-    USE indices,                                                               &
+    USE indices,                                                                                   &
         ONLY:  ngp_sums, ngp_sums_ls
 #endif
@@ -137,26 +132,26 @@
     USE kinds
 
-    USE land_surface_model_mod,                                                &
+    USE land_surface_model_mod,                                                                    &
         ONLY:   m_soil_h, nzb_soil, nzt_soil, t_soil_h
 
-    USE lsf_nudging_mod,                                                       &
+    USE lsf_nudging_mod,                                                                           &
         ONLY:   td_lsa_lpt, td_lsa_q, td_sub_lpt, td_sub_q, time_vert
 
-    USE module_interface,                                                      &
+    USE module_interface,                                                                          &
         ONLY:  module_interface_statistics
 
-    USE netcdf_interface,                                                      &
+    USE netcdf_interface,                                                                          &
         ONLY:  dots_rad, dots_soil, dots_max
 
     USE pegrid
 
-    USE radiation_model_mod,                                                   &
-        ONLY:  radiation, radiation_scheme,                                    &
-               rad_lw_in, rad_lw_out, rad_lw_cs_hr, rad_lw_hr,                 &
+    USE radiation_model_mod,                                                                       &
+        ONLY:  radiation, radiation_scheme,                                                        &
+               rad_lw_in, rad_lw_out, rad_lw_cs_hr, rad_lw_hr,                                     &
                rad_sw_in, rad_sw_out, rad_sw_cs_hr, rad_sw_hr
 
     USE statistics
 
-    USE surface_mod,                                                           &
+    USE surface_mod,                                                                               &
         ONLY :  surf_def_h, surf_lsm_h, surf_usm_h
 
@@ -215,14 +210,14 @@
     REAL(wp) ::  sums_ll(nzb:nzt+1,2)  !<
 
+
     CALL cpu_log( log_point(10), 'flow_statistics', 'start' )
 
 
 !
-!-- To be on the safe side, check whether flow_statistics has already been
-!-- called once after the current time step
+!-- To be on the safe side, check whether flow_statistics has already been called once after the
+!-- current time step.
     IF ( flow_statistics_called )  THEN
 
-       message_string = 'flow_statistics is called two times within one ' // &
-                        'timestep'
+       message_string = 'flow_statistics is called two times within one ' // 'timestep'
        CALL message( 'flow_statistics', 'PA0190', 1, 2, 0, 6, 0 )
 
@@ -243,9 +238,8 @@
 
 !
-!--    Store sums that have been computed in other subroutines in summation
-!--    array
+!--    Store sums that have been computed in other subroutines in summation array
        sums_l(:,11,:) = sums_l_l(:,sr,:)      ! mixing length from diffusivities
 !--    WARNING: next line still has to be adjusted for OpenMP
-       sums_l(:,21,0) = sums_wsts_bc_l(:,sr) *                                 &
+       sums_l(:,21,0) = sums_wsts_bc_l(:,sr) *                                                     &
                         heatflux_output_conversion  ! heat flux from advec_s_bc
        sums_l(nzb+9,pr_palm,0)  = sums_divold_l(sr)  ! old divergence from pres
@@ -253,23 +247,21 @@
 
 !
-!--    When calcuating horizontally-averaged total (resolved- plus subgrid-
-!--    scale) vertical fluxes and velocity variances by using commonly-
-!--    applied Reynolds-based methods ( e.g. <w'pt'> = (w-<w>)*(pt-<pt>) )
-!--    in combination with the 5th order advection scheme, pronounced
-!--    artificial kinks could be observed in the vertical profiles near the
-!--    surface. Please note: these kinks were not related to the model truth,
-!--    i.e. these kinks are just related to an evaluation problem.
-!--    In order avoid these kinks, vertical fluxes and horizontal as well
-!--    vertical velocity variances are calculated directly within the advection
-!--    routines, according to the numerical discretization, to evaluate the
-!--    statistical quantities as they will appear within the prognostic
-!--    equations.
-!--    Copy the turbulent quantities, evaluated in the advection routines to
-!--    the local array sums_l() for further computations.
+!--    When calcuating horizontally-averaged total (resolved- plus subgrid-scale) vertical fluxes
+!--    and velocity variances by using commonly-applied Reynolds-based methods
+!--    ( e.g. <w'pt'> = (w-<w>)*(pt-<pt>) ) in combination with the 5th order advection scheme,
+!--    pronounced artificial kinks could be observed in the vertical profiles near the surface.
+!--    Please note: these kinks were not related to the model truth, i.e. these kinks are just
+!--    related to an evaluation problem.
+!--    In order avoid these kinks, vertical fluxes and horizontal as well vertical velocity
+!--    variances are calculated directly within the advection routines, according to the numerical
+!--    discretization, to evaluate the statistical quantities as they will appear within the
+!--    prognostic equations.
+!--    Copy the turbulent quantities, evaluated in the advection routines to the local array
+!--    sums_l() for further computations.
        IF ( ws_scheme_mom .AND. sr == 0 )  THEN
 
 !
-!--       According to the Neumann bc for the horizontal velocity components,
-!--       the corresponding fluxes has to satisfiy the same bc.
+!--       According to the Neumann bc for the horizontal velocity components, the corresponding
+!--       fluxes has to satisfiy the same bc.
           IF ( ocean_mode )  THEN
              sums_us2_ws_l(nzt+1,:) = sums_us2_ws_l(nzt,:)
@@ -280,14 +272,11 @@
 !
 !--          Swap the turbulent quantities evaluated in advec_ws.
-             sums_l(:,13,i) = sums_wsus_ws_l(:,i)                              &
-                              * momentumflux_output_conversion ! w*u*
-             sums_l(:,15,i) = sums_wsvs_ws_l(:,i)                              &
-                              * momentumflux_output_conversion ! w*v*
-             sums_l(:,30,i) = sums_us2_ws_l(:,i)        ! u*2
-             sums_l(:,31,i) = sums_vs2_ws_l(:,i)        ! v*2
-             sums_l(:,32,i) = sums_ws2_ws_l(:,i)        ! w*2
-             sums_l(:,34,i) = sums_l(:,34,i) + 0.5_wp *                        &
-                              ( sums_us2_ws_l(:,i) + sums_vs2_ws_l(:,i) +      &
-                                sums_ws2_ws_l(:,i) )    ! e*
+             sums_l(:,13,i) = sums_wsus_ws_l(:,i) * momentumflux_output_conversion ! w*u*
+             sums_l(:,15,i) = sums_wsvs_ws_l(:,i) * momentumflux_output_conversion ! w*v*
+             sums_l(:,30,i) = sums_us2_ws_l(:,i)                                   ! u*2
+             sums_l(:,31,i) = sums_vs2_ws_l(:,i)                                   ! v*2
+             sums_l(:,32,i) = sums_ws2_ws_l(:,i)                                   ! w*2
+             sums_l(:,34,i) = sums_l(:,34,i) + 0.5_wp *                                            &
+                              ( sums_us2_ws_l(:,i) + sums_vs2_ws_l(:,i) + sums_ws2_ws_l(:,i) )  ! e*
           ENDDO
 
@@ -297,10 +286,10 @@
 
           DO  i = 0, threads_per_task-1
-             sums_l(:,17,i)                        = sums_wspts_ws_l(:,i)      &
-                                           * heatflux_output_conversion  ! w*pt*
-             IF ( ocean_mode     ) sums_l(:,66,i)  = sums_wssas_ws_l(:,i) ! w*sa*
-             IF ( humidity       ) sums_l(:,49,i)  = sums_wsqs_ws_l(:,i)       &
-                                           * waterflux_output_conversion  ! w*q*
-             IF ( passive_scalar ) sums_l(:,114,i) = sums_wsss_ws_l(:,i)  ! w*s*
+             sums_l(:,17,i)                        = sums_wspts_ws_l(:,i)                          &
+                                                     * heatflux_output_conversion   ! w*pt*
+             IF ( ocean_mode     ) sums_l(:,66,i)  = sums_wssas_ws_l(:,i)           ! w*sa*
+             IF ( humidity       ) sums_l(:,49,i)  = sums_wsqs_ws_l(:,i)                           &
+                                                     * waterflux_output_conversion  ! w*q*
+             IF ( passive_scalar ) sums_l(:,114,i) = sums_wsss_ws_l(:,i)            ! w*s*
           ENDDO
 
@@ -308,6 +297,6 @@
 !
 !--    Horizontally averaged profiles of horizontal velocities and temperature.
-!--    They must have been computed before, because they are already required
-!--    for other horizontal averages.
+!--    They must have been computed before, because they are already required for other horizontal
+!--    averages.
        tn = 0
        !$OMP PARALLEL PRIVATE( i, j, k, tn, flag )
@@ -321,12 +310,9 @@
                 flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 22 ) )
                 !$ACC ATOMIC
-                sums_l(k,1,tn)  = sums_l(k,1,tn)  + u(k,j,i)  * rmask(j,i,sr)  &
-                                                              * flag
-                !$ACC ATOMIC
-                sums_l(k,2,tn)  = sums_l(k,2,tn)  + v(k,j,i)  * rmask(j,i,sr)  &
-                                                              * flag
-                !$ACC ATOMIC
-                sums_l(k,4,tn)  = sums_l(k,4,tn)  + pt(k,j,i) * rmask(j,i,sr)  &
-                                                              * flag
+                sums_l(k,1,tn)  = sums_l(k,1,tn)  + u(k,j,i)  * rmask(j,i,sr) * flag
+                !$ACC ATOMIC
+                sums_l(k,2,tn)  = sums_l(k,2,tn)  + v(k,j,i)  * rmask(j,i,sr) * flag
+                !$ACC ATOMIC
+                sums_l(k,4,tn)  = sums_l(k,4,tn)  + pt(k,j,i) * rmask(j,i,sr) * flag
              ENDDO
           ENDDO
@@ -341,8 +327,8 @@
              DO  j =  nys, nyn
                 DO  k = nzb, nzt+1
-                   sums_l(k,23,tn)  = sums_l(k,23,tn) + sa(k,j,i)              &
-                                    * rmask(j,i,sr)                            &
-                                    * MERGE( 1.0_wp, 0.0_wp,                   &
-                                             BTEST( wall_flags_total_0(k,j,i), 22 ) )
+                   sums_l(k,23,tn)  = sums_l(k,23,tn) + sa(k,j,i)                                  &
+                                      * rmask(j,i,sr)                                              &
+                                      * MERGE( 1.0_wp, 0.0_wp,                                     &
+                                               BTEST( wall_flags_total_0(k,j,i), 22 ) )
                 ENDDO
              ENDDO
@@ -351,7 +337,6 @@
 
 !
-!--    Horizontally averaged profiles of virtual potential temperature,
-!--    total water content, water vapor mixing ratio and liquid water potential
-!--    temperature
+!--    Horizontally averaged profiles of virtual potential temperature, total water content, water
+!--    vapor mixing ratio and liquid water potential temperature
        IF ( humidity )  THEN
           !$OMP DO
@@ -360,8 +345,6 @@
                 DO  k = nzb, nzt+1
                    flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 22 ) )
-                   sums_l(k,44,tn)  = sums_l(k,44,tn) +                        &
-                                      vpt(k,j,i) * rmask(j,i,sr) * flag
-                   sums_l(k,41,tn)  = sums_l(k,41,tn) +                        &
-                                      q(k,j,i) * rmask(j,i,sr)   * flag
+                   sums_l(k,44,tn)  = sums_l(k,44,tn) + vpt(k,j,i) * rmask(j,i,sr) * flag
+                   sums_l(k,41,tn)  = sums_l(k,41,tn) + q(k,j,i) * rmask(j,i,sr)   * flag
                 ENDDO
              ENDDO
@@ -374,10 +357,8 @@
                       flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 22 ) )
                       sums_l(k,42,tn) = sums_l(k,42,tn) +                      &
-                                      ( q(k,j,i) - ql(k,j,i) ) * rmask(j,i,sr) &
-                                                               * flag
-                      sums_l(k,43,tn) = sums_l(k,43,tn) + (                    &
-                                      pt(k,j,i) + lv_d_cp * d_exner(k) * ql(k,j,i) &
-                                                          ) * rmask(j,i,sr)    &
-                                                            * flag
+                                        ( q(k,j,i) - ql(k,j,i) ) * rmask(j,i,sr) * flag
+                      sums_l(k,43,tn) = sums_l(k,43,tn) + (                                        &
+                                           pt(k,j,i) + lv_d_cp * d_exner(k) * ql(k,j,i)            &
+                                                          ) * rmask(j,i,sr) * flag
                    ENDDO
                 ENDDO
@@ -393,8 +374,8 @@
              DO  j =  nys, nyn
                 DO  k = nzb, nzt+1
-                   sums_l(k,115,tn)  = sums_l(k,115,tn) + s(k,j,i)             &
-                                    * rmask(j,i,sr)                            &
-                                    * MERGE( 1.0_wp, 0.0_wp,                   &
-                                             BTEST( wall_flags_total_0(k,j,i), 22 ) )
+                   sums_l(k,115,tn)  = sums_l(k,115,tn) + s(k,j,i)                                 &
+                                       * rmask(j,i,sr)                                             &
+                                       * MERGE( 1.0_wp, 0.0_wp,                                    &
+                                                BTEST( wall_flags_total_0(k,j,i), 22 ) )
                 ENDDO
              ENDDO
@@ -430,31 +411,31 @@
 !--    Compute total sum from local sums
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLREDUCE( sums_l(nzb,1,0), sums(nzb,1), nzt+2-nzb, MPI_REAL,  &
-                           MPI_SUM, comm2d, ierr )
+       CALL MPI_ALLREDUCE( sums_l(nzb,1,0), sums(nzb,1), nzt+2-nzb, MPI_REAL, MPI_SUM, comm2d,     &
+                           ierr )
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLREDUCE( sums_l(nzb,2,0), sums(nzb,2), nzt+2-nzb, MPI_REAL,  &
-                           MPI_SUM, comm2d, ierr )
+       CALL MPI_ALLREDUCE( sums_l(nzb,2,0), sums(nzb,2), nzt+2-nzb, MPI_REAL, MPI_SUM, comm2d,     &
+                           ierr )
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLREDUCE( sums_l(nzb,4,0), sums(nzb,4), nzt+2-nzb, MPI_REAL,  &
-                           MPI_SUM, comm2d, ierr )
+       CALL MPI_ALLREDUCE( sums_l(nzb,4,0), sums(nzb,4), nzt+2-nzb, MPI_REAL, MPI_SUM, comm2d,     &
+                           ierr )
        IF ( ocean_mode )  THEN
           IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-          CALL MPI_ALLREDUCE( sums_l(nzb,23,0), sums(nzb,23), nzt+2-nzb,       &
-                              MPI_REAL, MPI_SUM, comm2d, ierr )
+          CALL MPI_ALLREDUCE( sums_l(nzb,23,0), sums(nzb,23), nzt+2-nzb, MPI_REAL, MPI_SUM, comm2d,&
+                              ierr )
        ENDIF
        IF ( humidity ) THEN
           IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-          CALL MPI_ALLREDUCE( sums_l(nzb,44,0), sums(nzb,44), nzt+2-nzb,       &
-                              MPI_REAL, MPI_SUM, comm2d, ierr )
+          CALL MPI_ALLREDUCE( sums_l(nzb,44,0), sums(nzb,44), nzt+2-nzb, MPI_REAL, MPI_SUM, comm2d,&
+                              ierr )
           IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-          CALL MPI_ALLREDUCE( sums_l(nzb,41,0), sums(nzb,41), nzt+2-nzb,       &
-                              MPI_REAL, MPI_SUM, comm2d, ierr )
+          CALL MPI_ALLREDUCE( sums_l(nzb,41,0), sums(nzb,41), nzt+2-nzb, MPI_REAL, MPI_SUM, comm2d,&
+                              ierr )
           IF ( bulk_cloud_model ) THEN
              IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-             CALL MPI_ALLREDUCE( sums_l(nzb,42,0), sums(nzb,42), nzt+2-nzb,    &
-                                 MPI_REAL, MPI_SUM, comm2d, ierr )
+             CALL MPI_ALLREDUCE( sums_l(nzb,42,0), sums(nzb,42), nzt+2-nzb, MPI_REAL, MPI_SUM,     &
+                                 comm2d, ierr )
              IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-             CALL MPI_ALLREDUCE( sums_l(nzb,43,0), sums(nzb,43), nzt+2-nzb,    &
-                                 MPI_REAL, MPI_SUM, comm2d, ierr )
+             CALL MPI_ALLREDUCE( sums_l(nzb,43,0), sums(nzb,43), nzt+2-nzb, MPI_REAL, MPI_SUM,     &
+                                 comm2d, ierr )
           ENDIF
        ENDIF
@@ -462,6 +443,6 @@
        IF ( passive_scalar )  THEN
           IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-          CALL MPI_ALLREDUCE( sums_l(nzb,115,0), sums(nzb,115), nzt+2-nzb,       &
-                              MPI_REAL, MPI_SUM, comm2d, ierr )
+          CALL MPI_ALLREDUCE( sums_l(nzb,115,0), sums(nzb,115), nzt+2-nzb, MPI_REAL, MPI_SUM,      &
+                              comm2d, ierr )
        ENDIF
 #else
@@ -482,6 +463,6 @@
 
 !
-!--    Final values are obtained by division by the total number of grid points
-!--    used for summation. After that store profiles.
+!--    Final values are obtained by division by the total number of grid points used for summation.
+!--    After that store profiles.
        sums(:,1) = sums(:,1) / ngp_2dh(sr)
        sums(:,2) = sums(:,2) / ngp_2dh(sr)
@@ -517,16 +498,14 @@
 !
 !--    Passive scalar
-       IF ( passive_scalar )  hom(:,1,115,sr) = sums(:,115) /                  &
-            ngp_2dh_s_inner(:,sr)                    ! s
-
-!
-!--    Horizontally averaged profiles of the remaining prognostic variables,
-!--    variances, the total and the perturbation energy (single values in last
-!--    column of sums_l) and some diagnostic quantities.
-!--    NOTE: for simplicity, nzb_s_inner is used below, although strictly
-!--    ----  speaking the following k-loop would have to be split up and
-!--          rearranged according to the staggered grid.
-!--          However, this implies no error since staggered velocity components
-!--          are zero at the walls and inside buildings.
+       IF ( passive_scalar )  hom(:,1,115,sr) = sums(:,115) / ngp_2dh_s_inner(:,sr)  ! s
+
+!
+!--    Horizontally averaged profiles of the remaining prognostic variables, variances, the total
+!--    and the perturbation energy (single values in last column of sums_l) and some diagnostic
+!--    quantities.
+!--    NOTE: for simplicity, nzb_s_inner is used below, although strictly speaking the following
+!--    ----  k-loop would have to be split up and rearranged according to the staggered grid.
+!--          However, this implies no error since staggered velocity components are zero at the
+!--          walls and inside buildings.
        tn = 0
        !$OMP PARALLEL PRIVATE( i, j, k, pts, sums_ll,                          &
@@ -554,34 +533,26 @@
 !--             Prognostic and diagnostic variables
                 !$ACC ATOMIC
-                sums_l(k,3,tn)  = sums_l(k,3,tn)  + w(k,j,i)  * rmask(j,i,sr)  &
-                                                              * flag
-                !$ACC ATOMIC
-                sums_l(k,8,tn)  = sums_l(k,8,tn)  + e(k,j,i)  * rmask(j,i,sr)  &
-                                                              * flag
-                !$ACC ATOMIC
-                sums_l(k,9,tn)  = sums_l(k,9,tn)  + km(k,j,i) * rmask(j,i,sr)  &
-                                                              * flag
-                !$ACC ATOMIC
-                sums_l(k,10,tn) = sums_l(k,10,tn) + kh(k,j,i) * rmask(j,i,sr)  &
-                                                              * flag
-                !$ACC ATOMIC
-                sums_l(k,40,tn) = sums_l(k,40,tn) + ( p(k,j,i)                 &
-                                         / momentumflux_output_conversion(k) ) &
-                                                              * flag
+                sums_l(k,3,tn)  = sums_l(k,3,tn)  + w(k,j,i)  * rmask(j,i,sr) * flag
+                !$ACC ATOMIC
+                sums_l(k,8,tn)  = sums_l(k,8,tn)  + e(k,j,i)  * rmask(j,i,sr) * flag
+                !$ACC ATOMIC
+                sums_l(k,9,tn)  = sums_l(k,9,tn)  + km(k,j,i) * rmask(j,i,sr) * flag
+                !$ACC ATOMIC
+                sums_l(k,10,tn) = sums_l(k,10,tn) + kh(k,j,i) * rmask(j,i,sr) * flag
+                !$ACC ATOMIC
+                sums_l(k,40,tn) = sums_l(k,40,tn) + ( p(k,j,i)                                     &
+                                         / momentumflux_output_conversion(k) ) * flag
 
                 !$ACC ATOMIC
                 sums_l(k,33,tn) = sums_l(k,33,tn) + &
-                                  ( pt(k,j,i)-hom(k,1,4,sr) )**2 * rmask(j,i,sr)&
-                                                                 * flag
+                                  ( pt(k,j,i)-hom(k,1,4,sr) )**2 * rmask(j,i,sr) * flag
 #ifndef _OPENACC
                 IF ( humidity )  THEN
-                   sums_l(k,70,tn) = sums_l(k,70,tn) + &
-                                  ( q(k,j,i)-hom(k,1,41,sr) )**2 * rmask(j,i,sr)&
-                                                                 * flag
+                   sums_l(k,70,tn) = sums_l(k,70,tn) +                                             &
+                                     ( q(k,j,i)-hom(k,1,41,sr) )**2 * rmask(j,i,sr) * flag
                 ENDIF
                 IF ( passive_scalar )  THEN
-                   sums_l(k,116,tn) = sums_l(k,116,tn) + &
-                                  ( s(k,j,i)-hom(k,1,115,sr) )**2 * rmask(j,i,sr)&
-                                                                  * flag
+                   sums_l(k,116,tn) = sums_l(k,116,tn) +                                           &
+                                      ( s(k,j,i)-hom(k,1,115,sr) )**2 * rmask(j,i,sr) * flag
                 ENDIF
 #endif
